Page MenuHomePhabricator

Phabricator's advanced search sometimes doesn't show the content of 'next page' results
Closed, ResolvedPublic

Description

Upstream task: https://secure.phabricator.com/T8285

Compare what I think should be the same query:
Phab (it displays a button to go to page 2, except page 2 is empty, so it only shows the first 100 results)
Maniphest (174 results).
See also this query where the interface wrongly suggests there's a 4th page to read.

Event Timeline

Elitre created this task.Mar 17 2015, 1:33 PM
Elitre raised the priority of this task from to Needs Triage.
Elitre updated the task description. (Show Details)
Elitre added a project: Phabricator.
Elitre added a subscriber: Elitre.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 17 2015, 1:33 PM
Aklapper triaged this task as Low priority.Mar 17 2015, 1:35 PM
Aklapper edited projects, added Phabricator (Upstream); removed Phabricator.
Aklapper set Security to None.

Looks like Global advanced search drops more than 100 items for this query

Qgil added a subscriber: Qgil.

If we can have a couple of queries showing the problem at https://secure.phabricator.com, the report upstream will be more chances of receiving attention.

Qgil renamed this task from Phabricator's advanced search and Maniphest's advanced search seem to display different results when more than 100 items are found? to Phabricator's advanced search sometimes doesn't show the content of 'next page' results.EditedApr 20 2015, 8:00 AM

I have changed the title of the task because the problem here is about Phabricator's advanced search and pagination. It happens sometimes, not always, and I haven't found a pattern.

If you find more buggy examples, please share them.

I think the issue is that the pagination is just an estimate. For instance, sometimes you ask 200 results and you only get 180. The existence of a [2] button doesn't mean there are actually more results.

Aklapper updated the task description. (Show Details)May 21 2015, 12:27 PM
Aklapper moved this task from Ready To Go to Upstreamed on the Phabricator (Upstream) board.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:02 PM
Qgil removed a subscriber: Qgil.Oct 27 2016, 1:40 AM
mmodell closed this task as Resolved.Apr 6 2017, 12:23 AM
mmodell claimed this task.
mmodell added a subscriber: mmodell.